www/ruby-pygments.rb - The NetBSD Packages Collection

Ruby wrapper for Pygments syntax highlighter

# pygments.rb

A Ruby wrapper for the Python [pygments syntax
highlighter](http://pygments.org/).

pygments.rb works by talking over a simple pipe to a long-lived Python child
process. This library replaces
[github/albino](https://github.com/github/albino), as well as a version of
pygments.rb that used an embedded Python interpreter.

Each Ruby process that runs has its own 'personal Python'; for example, 4
Unicorn workers will have one Python process each.  If a Python process dies,
a new one will be spawned on the next pygments.rb request.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby27-base lang/python39 lang/python39

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0earmv7hfruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0earmv7hfruby25-pygments.rb-2.2.0.tgz
NetBSD 8.0earmv7hfruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0earmv7hfruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0earmv7hfruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0earmv7hfruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0i386ruby25-pygments.rb-2.2.0.tgz
NetBSD 8.0i386ruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0i386ruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0i386ruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0i386ruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby25-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby25-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby25-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby25-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0powerpcruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0x86_64ruby25-pygments.rb-2.2.0.tgz
NetBSD 8.0x86_64ruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0x86_64ruby27-pygments.rb-2.2.0.tgz
NetBSD 8.0x86_64ruby26-pygments.rb-2.2.0.tgz
NetBSD 8.0x86_64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0aarch64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0alpharuby26-pygments.rb-2.2.0.tgz
NetBSD 9.0alpharuby27-pygments.rb-2.2.0.tgz
NetBSD 9.0alpharuby25-pygments.rb-2.2.0.tgz
NetBSD 9.0alpharuby26-pygments.rb-2.2.0.tgz
NetBSD 9.0alpharuby27-pygments.rb-2.2.0.tgz
NetBSD 9.0alpharuby25-pygments.rb-2.2.0.tgz
NetBSD 9.0alpharuby26-pygments.rb-2.2.0.tgz
NetBSD 9.0alpharuby27-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv6hfruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0earmv7hfruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0i386ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0mips64ebruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0mips64ebruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0mips64ebruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0mips64ebruby25-pygments.rb-1.2.1nb1.tgz
NetBSD 9.0mips64ebruby26-pygments.rb-1.2.1nb1.tgz
NetBSD 9.0mips64ebruby27-pygments.rb-1.2.1nb1.tgz
NetBSD 9.0mips64ebruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0mips64ebruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0mips64ebruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0powerpcruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0sparc64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0sparcruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0sparcruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby25-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby30-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby26-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby27-pygments.rb-2.2.0.tgz
NetBSD 9.0x86_64ruby30-pygments.rb-2.2.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.